List artifacts
List or search published artifacts. Supports cursor pagination and optional text search.
List or search published artifacts. Supports cursor pagination and optional text search.
bearerAuthAuthorizationBearer <token>API key authentication. Use your API key as the bearer token.
first?integerNumber of results to return (max 100). Defaults to 50 when last is not set.
int321 <= value <= 100after?stringCursor for pagination. Use meta.page.end_cursor from a previous response.
length <= 1024last?integerNumber of results to return when paginating backward (max 100). Use before to return results before a cursor. Mutually exclusive with first and after.
int321 <= value <= 100before?stringCursor for backward pagination. Mutually exclusive with first and after.
length <= 1024aggregates?stringComma-separated aggregates to include. Supported aggregates: total_count.
^\s*(total_count)?\s*(,\s*(total_count)?\s*)*$length <= 1024query?stringFull-text search across title, URL, and description.
1 <= length <= 200kind?stringFilter artifacts by kind.
"link""doc""ticket""message""channel""dashboard""pdf""design""feature_flag""file""session_replay"List results for artifacts
application/json- response
data*array<>meta*curl -X GET 'https://your-org.inspect.com/api/public/v1/artifacts'{ "data": [ { "id": "string", "title": "string", "url": "http://example.com", "description": "string", "kind": "link", "metadata": {}, "created_at": "2019-08-24T14:15:22Z" } ], "meta": { "page": { "start_cursor": "string", "end_cursor": "string", "has_next_page": true, "has_previous_page": true }, "aggregates": { "total_count": 0 } }}